@charset "UTF-8";@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap");@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+KR:wght@100..900&display=swap");


/* Gray scale (UI 요소용) */
/* Text colors */
/* Link colors */
/* Primary */
/* Accent */
/* Text scale */
/* Backgrounds */
.post-container {
  margin-top: 250px;
  width: 720px;
  margin: 100px auto;
}
.img-from {
  text-align: center;
  font-size: 11px;
  margin-bottom: 50px;
  color: rgba(26, 26, 26, 0.8);
}
blockquote {
  border-left: 3px solid #e0e0e0;
  padding-left: 15px;
  margin-left: 0;
  color: #333333;
}
ol {
  padding-left: 32px;
  font-family: ui-monospace, SFMono-Regular, "SF Mono", Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}
.preface {
  width: 95%;
  margin: 0 auto;
  padding-bottom: 45px;
  border-bottom: 2px solid #f5f5f5;
}
.preface .title {
  font-weight: 800;
  color: rgba(26, 26, 26, 0.8);
  font-size: 2.25em;
}
.preface .post-items {
  font-size: 14px;
  color: #9e9e9e;
  display: flex;
  align-items: center;
  margin-top: 5px;
}
.preface .post-items .author img {
  border-radius: 999px;
  display: block;
  margin: auto;
}
.preface .post-items span {
  margin-left: 5px;
}
.preface .post-items .border {
  margin: 0 5px;
}
.preface .name {
  margin-left: 5px;
  font-weight: 500;
}
.preface .date {
  font-weight: 500;
}
.preface .tags {
  margin-top: 20px;
  font-weight: 400;
  font-size: 0.975rem;
}
.preface .tags a {
  text-decoration: none;
}
.preface .tags a + a {
  padding-left: 10px;
}
.posttag {
  background-color: #f7f7f7;
  color: #3b82f6;
  margin: 0 5px;
  padding: 3px 7px !important;
  border-radius: 5px;
  font-size: 14px;
}
.posttag:hover {
  color: #6fa4ff;
}
.post-layer {
  display: flex;
}
.post {
  line-height: 200%;
  color: rgba(26, 26, 26, 0.8);
  width: 95%;
  margin: 10px auto;
  position: relative;
}
.post img {
  height: auto;
}
.post ul {
  padding-left: 25px;
}
.post p {
  line-height: 28px;
}
.post a {
  text-decoration: none;
  color: #3b82f6;
}
.post a:hover {
  text-decoration: underline;
  color: #1e5ed6;
}
.post img {
  margin: 0 auto;
  margin-top: 50px;
  display: block;
  max-height: 450px;
  text-align: center;
  border-radius: 6px;
  width: 100%;
}
.post h2 a,
.post h3 a,
.post h4 a {
  margin-left: -0.9em;
  padding-right: 5px;
  color: #ffffff;
  font-weight: 500;
  font-size: 1.55rem;
}
.post h2:hover a,
.post h3:hover a,
.post h4:hover a {
  color: #6b68ff;
}
.post h2 {
  font-size: 1.975rem;
}
.post h2 a {
  color: #1e5ed6;
}
.post h3 {
  font-size: 1.55rem;
}
.footer {
  margin-top: 60px;
  margin-bottom: 125px;
}
.footer .edit {
  padding: 20px 10px;
  border-top: 2px solid #f5f5f5;
  border-bottom: 2px solid #f5f5f5;
}
.footer .edit a {
  color: #333333;
  font-size: 0.85rem;
  font-weight: 500;
  text-decoration: none;
}
.footer .back {
  float: right;
  margin-top: 25px;
}
.footer .back a {
  font-weight: 600;
  text-decoration: none;
  color: #3b82f6;
}
.footer .back a:hover {
  color: #1e5ed6;
}
.other-posts {
  margin-top: 50px;
  width: 100%;
  padding: 10px 20px;
  border: 1px solid #e0e0e0;
  border-radius: 10px;
}
.other-posts h4 {
  margin: 0;
}
.other-posts .other-posts-container {
  margin-top: 5px;
}
.other-posts .other-post {
  line-height: 150%;
}
.other-posts .other-post a {
  font-weight: 500;
  font-size: 14px;
  color: #333333;
}
.other-posts .other-post a.active {
  color: #3b82f6;
}
.other-posts .other-post a:hover {
  text-decoration: none;
}
.other-posts .other-post a.active:hover {
  color: #6fa4ff;
}
.other-posts .other-post a:not(.active):hover {
  color: rgba(26, 26, 26, 0.8);
}
@media screen and (max-width: 1200px) {
  nav {
    display: none;
  }
}
nav {
  padding-left: 15px;
  position: fixed;
}
nav ul {
  padding-left: 0px;
  list-style-type: none;
  margin-top: 5px;
}
nav li {
  transition: all ease 0.25s 0s;
  border-left: 1px solid #e0e0e0;
  padding: 2px 10px;
  font-size: 13px;
}
nav .no-a {
  font-size: 13px;
  font-weight: 500;
}
nav a {
  transition: all ease 0.25s 0s;
  color: #bdbdbd;
  text-decoration: none;
}
nav li.active {
  border-left: 1px solid #3b82f6;
}
nav li.active > a {
  color: #3b82f6;
}
nav li > a:hover {
  color: #333333;
}
.post-id {
  margin-top: 75px;
  margin-bottom: 50px;
  text-align: center;
}
.post-id a {
  padding: 2px;
  width: 35px;
  height: 35px;
}
.post-id a button {
  width: 35px;
  height: 35px;
  border: none;
  color: #3b82f6;
  transition: all ease 0.25s 0s;
  background-color: #ffffff;
  border-radius: 7px;
  cursor: pointer;
}
.post-id a button.active {
  text-decoration: underline;
  color: #1e5ed6;
}
.post-id a button:hover {
  background-color: #f7f7f7;
}
div[contenteditable] > ::before {
  content: "-";
  /* Other styling */
  display: inline-block;
  width: 1rem;
  margin-right: 1.25rem;
  text-align: right;
  color: #9b9b9b;
}
div[contenteditable]:focus {
  border: none;
  outline: 0px solid transparent;
}
.posts {
  max-width: 1200px;
  margin: 100px auto;
}
.post-list {
  display: flex;
  flex-wrap: wrap;
}
.post-card {
  width: 30%;
  height: 255px;
  margin: 20px 10px;
  transition: all ease 0.1s 0s;
}
.post-button {
  display: block;
  position: relative;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
  background-color: #ffffff;
  text-align: left;
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
  border-radius: 7px;
  max-width: 300px;
  cursor: pointer;
  position: relative;
  transition: all ease 0.3s 0s;
}
.post-button img {
  top: 0;
  width: 100%;
  border-radius: 7px 7px 0 0;
  opacity: 1;
  object-fit: cover;
  transition: all ease 0.3s 0s;
}
.post-button .post-button-detail {
  padding: 5px;
}
.post-button .post-button-tags {
  position: absolute;
  bottom: 0px;
  border-top: 1px solid #f7f7f7;
  width: 100%;
}
.post-button .post-button-tags a {
  color: #3b82f6;
  text-decoration: none;
  font-weight: 500;
  font-size: 0.796rem;
  padding: 5px 4px;
}
.post-button .post-button-tags .tags {
  margin: 4px 0px 7px 5px;
}
.post-button h3 {
  padding: 5px;
  font-size: 0.85rem;
  font-weight: 500;
  margin: 0px;
}
.post-button .post-detail {
  padding: 0 5px;
  color: #9e9e9e;
  font-size: 0.8rem;
  font-weight: 600;
}
.post-button .post-detail a {
  color: #3b82f6;
  text-decoration: none;
}
.post-button .post-detail a + a {
  padding-left: 10px;
}
.post-button .post-detail .tags {
  padding-top: 5px;
  font-size: 0.875rem;
  font-weight: 600;
}
.post-card:hover {
  transform: translate(0, -2px);
}
.post-card:hover img {
  opacity: 0.75;
}
.post-card:hover .post-button {
  background-color: rgba(248, 248, 248, 0.7607843137);
}
.post-card-big {
  width: 100%;
  margin: 40px 10px;
  transition: all ease 0.1s 0s;
  padding-bottom: 40px;
  border-bottom: 1px solid #e0e0e0 !important;
}
.post-card-big img {
  top: 0;
  width: 60%;
  margin-right: 25px;
  border-radius: 10px 0 0 10px;
  object-fit: cover;
}
.post-card-big button {
  display: block;
  position: relative;
}
.post-card-big .post-button {
  border-radius: 10px;
  display: flex;
  max-width: 100% !important;
  box-shadow: none;
}
.post-card-big .post-button-tags {
  width: auto;
}
.post-card-big .post-button-tags a {
  font-size: 0.796rem;
}
.post-card-big h3 {
  padding-top: 50px;
  font-size: 1.65rem;
  font-weight: 700;
}
.post-card-big .post-detail {
  font-size: 1rem;
}
.post-card-big .tags a {
  font-size: 0.925rem;
}
.post-card-big:hover {
  transform: translate(0, -2px);
}
.repos {
  display: flex;
  flex-wrap: wrap;
  margin-top: 50px;
}
.repo {
  width: 27%;
  max-width: 30%;
  margin: 20px 10px;
  word-wrap: break-word;
  transition: all ease 0.1s 0s;
  border: 1px solid rgba(240, 240, 240, 0.4588235294);
  border-radius: 7px;
  padding: 21px 15px;
  box-shadow: rgba(34, 34, 34, 0.2) 0px 2px 8px 0px;
}
.repo h3 {
  margin: 0;
  font-size: 16px;
}
.repo h3 a {
  color: rgba(26, 26, 26, 0.8);
  font-weight: 500;
  text-decoration: none;
}
.repo h3 a:hover {
  text-decoration: underline;
}
.repo p {
  font-size: 14px;
  color: rgba(85, 85, 85, 0.8);
}
.repo .info {
  margin-top: 5px;
  display: flex;
  color: rgba(26, 26, 26, 0.8);
  margin-right: 5px;
  font-size: 12px;
}
.repo .info .star {
  padding-right: 7px;
  display: flex;
}
.repo .info .star i {
  position: absolute;
  color: rgba(85, 85, 85, 0.8);
  margin-top: 1px;
}
.repo .info .star p {
  font-size: 12px;
  margin: 0;
  padding-left: 15px;
}
.language-typescript {
  color: #5a9cf3;
}
.language-javascript {
  color: #cab330;
}
.language-svelte,
.language-html {
  color: #f36262;
}
.hello {
  max-height: 255px;
  margin: 20px 10px;
  transition: all ease 0.1s 0s;
  border-radius: 10px;
  border: 1px solid #f7f7f7;
  padding: 25px 30px;
}
.hello .title {
  font-size: 14px;
  font-family: ui-monospace, SFMono-Regular, "SF Mono", Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}
@font-face {
  font-family: "TheJamsil5Bold";
  src: url("https://fastly.jsdelivr.net/gh/projectnoonnu/noonfonts_2302_01@1.0/TheJamsil5Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
}
.title {
  font-family: "Inter", "TheJamsil5Bold", sans-serif;
}
html,
body {
  margin: 0;
  font-weight: 400;
  font-family: "Inter", "Noto Sans KR", sans-serif;
  scroll-behavior: smooth;
  background-color: #ffffff;
  letter-spacing: -0.5;
  color: rgba(26, 26, 26, 0.8);
  font-size: 16px;
}
html,
body,
button {
  font-weight: 400;
  font-family: "Inter", "Noto Sans KR", sans-serif;
}
button {
  font-size: 1rem;
}
.root {
  width: 75%;
  margin: 0 auto;
  transition: all ease 0.25s 0s;
}
.header {
  width: 75%;
}
@media (max-width: 1024px) {
  .root {
    width: 85%;
  }
  .header {
    width: 85%;
  }
  .post-card-big .post-button {
    padding-bottom: 30px;
    display: block;
  }
  .post-card-big .post-button img {
    width: 100%;
  }
  .posts {
    display: block;
    width: 100%;
  }
  .posts .post-card,
  .posts .hello {
    width: 340px;
    margin: 0 auto;
    margin-bottom: 50px;
  }
  .posts .directory {
    margin-bottom: 50px;
    text-align: center;
  }
  .post-container {
    width: 100%;
  }
}
.header-container {
  border-bottom: 1px solid #ffffff;
  background: #ffffff;
}
.header-container.fixed {
  position: fixed;
  display: absolute;
  top: 0;
  width: 100%;
  background: rgba(255, 255, 255, 0.2823529412);
  transition: all ease 0.55s 0s;
  z-index: 100;
}
@keyframes reveal {
  100% {
    transform: translateY(0);
  }
}
.scrolled {
  -webkit-backdrop-filter: saturate(180%) blur(20px);
  background: rgba(236, 236, 236, 0.2823529412) !important;
  backdrop-filter: saturate(180%) blur(20px);
  border-bottom: 1px solid #e0e0e0 !important;
}
.header {
  margin: 15px auto;
  display: flex;
  justify-content: space-between;
}
.header a {
  color: rgba(26, 26, 26, 0.8);
  text-decoration: none;
}
.header .name {
  font-weight: 700;
  font-size: 1.15em;
}
.header .name a {
  color: #3b82f6;
}
.header .items {
  font-size: 0.95em;
  padding-top: 5px;
  font-weight: 500;
}
.header .items i {
  color: #1f4fd8;
  margin-left: 15px;
  font-size: 1.05rem;
  transition: all ease 0.25s 0s;
}
.header .items i:hover {
  color: #3b82f6;
  cursor: pointer;
}
.tag-items {
  display: flex;
}
.tag-list {
  max-width: 60%;
  height: auto;
  margin: 50px auto;
}
.tag-list h2 {
  text-align: center;
}
.tag-list .tag-items {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}
.tag-list .tag-item {
  text-decoration: none;
  padding: 5px;
}
.tag-list .tag-item .tag-count {
  color: #9e9e9e;
  font-size: 0.75rem;
}
.tag-list .tag-item a {
  text-decoration: none;
}
.directory {
  margin-top: 100px;
  font-size: 1.25rem;
  font-weight: 600;
  color: #9e9e9e;
}
.directory strong {
  color: rgba(26, 26, 26, 0.8);
  padding-left: 3px;
  font-size: 1.45rem;
}
div[data-rehype-pretty-code-fragment],
div[data-rehype-pretty-code-figure] {
  margin: 30px 0;
}
figcaption[data-rehype-pretty-code-title],
div[data-rehype-pretty-code-title] {
  border-radius: 8px 8px 0 0;
  background-color: #252525;
  color: #727272;
  font-size: 0.775rem;
  padding: 0.25em 1rem 0.1rem 1rem;
  border-bottom: 1px solid #161616;
}
figcaption[data-rehype-pretty-code-title] i,
div[data-rehype-pretty-code-title] i {
  font-size: 0.75rem;
  margin-right: 5px;
}
figcaption[data-rehype-pretty-code-title] button,
div[data-rehype-pretty-code-title] button {
  float: right;
  background-color: inherit;
  margin-top: 6px;
  border: none;
  color: #a8a8a8;
  font-size: 0.75rem;
}
figcaption[data-rehype-pretty-code-title] button i,
div[data-rehype-pretty-code-title] button i {
  font-size: 1rem;
}
figcaption[data-rehype-pretty-code-title] button:hover,
div[data-rehype-pretty-code-title] button:hover {
  border-radius: 5px;
}
.code-block {
  border-radius: 0 0 8px 8px;
  display: block;
  overflow-x: auto;
  line-height: 1.15rem;
}
.code-block pre {
  background-color: #303030;
  margin: 0;
  padding: 0.85em 1.05rem;
  overflow: auto;
  max-height: 524px;
}
.code-block code {
  counter-reset: line;
  color: #e0e0e0;
}
.code-block code span[data-highlighted-line] {
  background-color: #f3f3f3;
}
.code-block code > [data-line]::before {
  counter-increment: line;
  content: counter(line);
  /* Other styling */
  display: inline-block;
  width: 1rem;
  margin-right: 1.25rem;
  text-align: right;
  color: #9b9b9b;
}
:not(pre) > code {
  margin: 2px;
  padding: 3px 7px;
  color: rgba(0, 0, 0, 0.8784313725);
  background-color: rgba(201, 199, 199, 0.431372549);
  letter-spacing: normal;
  border-radius: 6px;
}
code {
  font-family: ui-monospace, SFMono-Regular, "SF Mono", Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 0.875em;
  border-radius: 2px;
}
.code-font {
  font-family: ui-monospace, SFMono-Regular, "SF Mono", Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 0.875em;
}
.no-a {
  color: inherit;
  text-decoration: none;
}
.animation,
a {
  transition: all ease 0.25s 0s;
}
.animation:hover,
a:hover {
  transition: all ease 0.25s 0s;
}
h2 {
  font-size: 1.85em;
  margin: 1.75em 0 0.6em;
}
h3 {
  font-size: 1.65em;
  margin: 1.75em 0 0.6em;
}
a {
  color: #3b82f6;
}
a:hover {
  color: #1e5ed6;
}
.about {
  width: 50%;
  margin: 75px auto;
  text-align: center;
}
.about img {
  border-radius: 999px;
}
table {
  width: 100%;
  border: 1px solid #f5f5f5;
  border-collapse: collapse;
}
th,
td {
  border: 1px solid #f5f5f5;
  padding: 3px 10px;
}